Bug 859270 - Review Request: php-symfony2-Filesystem - Symfony2 Filesystem Component
Review Request: php-symfony2-Filesystem - Symfony2 Filesystem Component
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On: php-channel-symfony2
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-20 20:24 EDT by Shawn Iwinski
Modified: 2012-11-17 11:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-17 11:58:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
bootstrap.php (704 bytes, text/plain)
2012-09-21 01:56 EDT, Remi Collet
no flags Details
859270-php-symfony2-Filesystem/php-symfony2-Filesystem-review.txt (6.03 KB, text/plain)
2012-10-10 11:19 EDT, Remi Collet
no flags Details

  None (edit)
Description Shawn Iwinski 2012-09-20 20:24:30 EDT
Spec URL: http://siwinski.fedorapeople.org/rpmbuild/SPECS/php-symfony2-Filesystem.spec

SRPM URL: http://siwinski.fedorapeople.org/rpmbuild/SRPMS/php-symfony2-Filesystem-2.1.2-1.fc17.src.rpm

Description:
The Filesystem component provides basic utilities for the filesystem.

Fedora Account System Username: siwinski

Distributions: EPEL 6, F16+
Comment 1 Remi Collet 2012-09-21 01:29:03 EDT
Quick notes, which affects "all" synfony 2.1 packages

- phpunit.xml.dist and Tests/* sould be role="test", so install in %{pear_testdir}
- CHANGELOG.md should be role="doc" 

sed -e '/CHANGELOG.md/s/role="php"/role="doc"/' \
    -e '/phpunit.xml.dist/s/role="php"/role="test"/' \
    -e '/Tests/s/role="php"/role="test"/' \
    -i package.xml

Of course, this should be reported to upstream

- as tests are provided, should be run in %check

%check
cd %{pear_name}-%{version}/Symfony/Component/%{pear_name}/Tests
phpunit  --bootstrap bootstrap.php .

N.B. : Yaml could not run test in %check, because it depends on phpunit, which depends use Yaml (see the diff I sent you)
Comment 2 Remi Collet 2012-09-21 01:56:09 EDT
Created attachment 615284 [details]
bootstrap.php

Another small issue with the test suite provided: tThe provided "bootstrap" only allow us to run test from the source tree, but not from installation tree.

The attached version works in both. Please test it.
It should also work for all components, not specific to this one.

Probably, you can also propose this to upstream.
Comment 3 Remi Collet 2012-10-06 12:37:45 EDT
Missing requires : php-posix (at least for test)
Comment 4 Shawn Iwinski 2012-10-08 18:33:35 EDT
Updated per comments.

- Added php-posix require
- Added PEAR package.xml modificaions
- Added patch for tests' bootstrap.php
- Added tests (%check)

Spec URL: http://siwinski.fedorapeople.org/rpmbuild/SPECS/php-symfony2-Filesystem.spec

SRPM URL: http://siwinski.fedorapeople.org/rpmbuild/SRPMS/php-symfony2-Filesystem-2.1.2-2.fc17.src.rpm
Comment 5 Remi Collet 2012-10-10 11:19:55 EDT
Created attachment 624957 [details]
859270-php-symfony2-Filesystem/php-symfony2-Filesystem-review.txt

Generated by fedora-review 0.3.0 (c78e275) last change: 2012-09-24
Comment 6 Remi Collet 2012-10-10 11:21:43 EDT
Note : typo in %changelog : modificaions (please fix after import)

No blocker

=== APPROVED ===
Comment 7 Shawn Iwinski 2012-10-11 18:02:39 EDT
New Package SCM Request
=======================
Package Name: php-symfony2-Filesystem
Short Description: Symfony2 Filesystem Component
Owners: siwinski
Branches: f16 f17 f18 el6
InitialCC:
Comment 8 Gwyn Ciesla 2012-10-12 07:29:54 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.